Bug 841499 - [RFE] SAM UI while creating a new user accepts password same as username created
[RFE] SAM UI while creating a new user accepts password same as username created
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Bryan Kearney
Tazim Kolhar
: FutureFeature, TestBlocker, Triaged
Depends On:
Blocks: sam12-tracker 849226
  Show dependency treegraph
 
Reported: 2012-07-19 04:03 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 849226 (view as bug list)
Environment:
Last Closed: 2012-10-29 13:41:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-07-19 04:03:26 EDT
Description of problem:
While creating a new user . if password entered is same as username it is 
accepted, while usually passwords should be different from username 

Version-Release number of selected component (if applicable):
[root@nec-em9 ~]# rpm -qa | grep katello
katello-certs-tools-1.1.6-1.fc16.noarch
katello-configure-0.2.30-1.fc16.noarch
katello-headpin-all-0.2.24-1.fc16.noarch
katello-selinux-0.2.6-1.fc16.noarch
katello-cli-common-0.2.43-1.fc16.noarch
katello-glue-candlepin-0.2.45-1.fc16.noarch
katello-cli-headpin-0.1.19-1.fc16.noarch
katello-headpin-0.2.24-1.fc16.noarch
katello-common-0.2.45-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch

How reproducible:
yum install -y katello-headpin-all
katello-configure --deployment=sam

Steps to Reproduce:
1.Login to SAM webUI
2.Navigate to Administer
3.Users tab
4.Click on Create new user
5.Enter username
6.enter password which is same as username created
7.Confirm password
8.enter mail id
9,enter the organisation and environment
10.create the user
11. User is created
  
Actual results:
The user is created successfully and the password field accepts
username as password

Expected results:
The password same as username should not be acceptes as
usually password are different from the username
A password validation should be there

Additional info:
Comment 1 Tom McKay 2012-10-29 13:41:54 EDT
Based on feedback in our triage session we decided that this isn't a feature we will likely implement in the near term.  If customers demand customizable password policy we can re-open

Note You need to log in before you can comment on or make changes to this bug.